Skip to content

Events

Use these endpoints to view Events.

Get Events

Request

This endpoint retrieves a list of events that have occurred for a customer's account, often related to webhook notifications. You can filter events by subscription_id and/or a time range query parameter (after).

It returns a paginated list of Event objects, each containing details about the event and any delivery attempts if it's a webhook event.

Security
CodeBearer(Required scopes: subscriptions.read)
Query
subscription_idstring or null(Subscription Id)
Any of:
string (uuid)
cursorstring(Cursor)
Default:""
limitinteger, [ 1 .. 100 ](Limit)
Default:100
afterstring or null(After)
Any of:
string (date-time)
curl -i -X GET \
  'https://api.business.jiko.io/api/v1/events/?subscription_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&cursor=&limit=100&after=2019-08-24T14%3A15%3A22Z' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of objects(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "string", "next_page": "string", "items": [ {} ], "object_type": "CursorList" }